Package com.ads.services.webservice

# Class CATfXService

java.lang.Object
com.ads.services.webservice.CATfXService

public class CATfXService extends Object
Contains the method called callCAT which is used to call or execute the existing Code Automation Templates for the specified catName.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATfXService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `callCAT(String userName, String password, String outputFormat, String catName, String json, String catProfileName)`
  Method used to call or execute the existing AMM CAT Templates for the specified catName.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CATfXService

    public CATfXService()

- ## Method Details

  - ### callCAT

    public String callCAT(String userName, String password, String outputFormat, String catName, String json, String catProfileName)

    Method used to call or execute the existing AMM CAT Templates for the specified catName. Specification of catName and catProfileName are mandatory.
    catName can be any name from the existing CAT TEMPLATES of AMM. catProfileName is the name of the profile.
    In case if no profile is present, "Default" catProfileName is to be specified.
    JSON string is used for values to be passed or used in Templates, in the form of KEY and VALUE.
    where KEY represents catOptionName and Value represents the real Value which the Option holds.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.

    Parameters:
      `catName` - String
      `json` - String
      `catProfileName` - String
      `userName` - String
      `password` - String
      `outputFormat` - String - JSON OR XML
    Returns:
      String - Return value is always based on what the particular AMM CAT Template returns.
    Since:
      6.2